/*
 * Copyright (C) 2008 Exadel, Inc.
 *
 * The GNU General Public License, Version 3
 */

package com.exadel.flamingo.samples.seam.example;

import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.GeneratedValue;
import org.hibernate.validator.*;

import org.jboss.seam.annotations.Name;

@Entity
@Name("person")
public class Person implements Serializable {
	
	private Integer id;

    @Length(max=20, min=2, message="First name should be between 2 and 20 characters")
    private String firstName;

    @Length(max=20, min=2, message="Last name should be between 2 and 20 characters")
    private String lastName;

    @Email(message="Please, enter proper e-mail format...")
    private String email;

    @Id @GeneratedValue
	public Integer getId() {
	     return id;
	}

	public void setId(Integer id) {
	     this.id = id;
	}

    public String getFirstName() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public String getLastName() {
        return lastName;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }
}